import { ref } from 'vue'
import { defineStore } from 'pinia'

export const useDataStore = defineStore('data', () => {
  // ref() คือการประกาศ state เหมือน vuex
  const loader = ref<boolean>(false)

  /**
   * active tab หน้า รายละเอียดทะเบียนประวัติ
   * @param val boolean false = close , true = open
   */
  const loaderPage = (val: boolean) => {
    loader.value = val
  }
  return {
    loader,
    loaderPage
  }
})
